Package org.eclipse.zest.layouts.dataStructures

# Class InternalRelationship

java.lang.Object
org.eclipse.zest.layouts.dataStructures.InternalRelationship

All Implemented Interfaces:
  `LayoutItem`, `LayoutRelationship`

@Deprecated(since="2.0", forRemoval=true) public class InternalRelationship extends Object implements LayoutRelationship
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`InternalRelationship(LayoutRelationship externalRelationship, InternalNode source, InternalNode destination)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`void`
`addBendPoint(double x, double y)`
Deprecated, for removal: This API element is subject to removal in a future version.
Ensure this is called in order of source to target node position.
`void`
`addBendPoint(double x, double y, boolean isControlPoint)`
Deprecated, for removal: This API element is subject to removal in a future version.
Ensure this is called in order of source to target node position.
`void`
`clearBendPoints()`
Deprecated, for removal: This API element is subject to removal in a future version.
Clear bend points and related bounds If you are updating an existing application you can just implement this method to do nothing.
`List`
`getBendPoints()`
Deprecated, for removal: This API element is subject to removal in a future version.
`InternalNode`
`getDestination()`
Deprecated, for removal: This API element is subject to removal in a future version.
`LayoutEntity`
`getDestinationInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the destinationEntity of this SimpleRelation whether the relation is exchangeable or not.
`Object`
`getGraphData()`
Deprecated, for removal: This API element is subject to removal in a future version.
`Object`
`getLayoutInformation()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the internal relationship object.
`LayoutRelationship`
`getLayoutRelationship()`
Deprecated, for removal: This API element is subject to removal in a future version.
`InternalNode`
`getSource()`
Deprecated, for removal: This API element is subject to removal in a future version.
`LayoutEntity`
`getSourceInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the sourceEntity of this SimpleRelation whether the relation is exchangeable or not.
`double`
`getWeight()`
Deprecated, for removal: This API element is subject to removal in a future version.
`boolean`
`isBidirectional()`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated, for removal: This API element is subject to removal in a future version.
Classes should update the specified layout constraint if recognized
`void`
`setBendPoints(LayoutBendPoint[] bendPoints)`
Deprecated, for removal: This API element is subject to removal in a future version.
Specify a set of bend points.
`void`
`setGraphData(Object o)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setLayoutInformation(Object layoutInformation)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the internal relationship object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InternalRelationship

public InternalRelationship(LayoutRelationship externalRelationship, InternalNode source, InternalNode destination)
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### getLayoutRelationship

public LayoutRelationship getLayoutRelationship()
Deprecated, for removal: This API element is subject to removal in a future version.

### getSource

public InternalNode getSource()
Deprecated, for removal: This API element is subject to removal in a future version.

### getDestination

public InternalNode getDestination()
Deprecated, for removal: This API element is subject to removal in a future version.

### getWeight

public double getWeight()
Deprecated, for removal: This API element is subject to removal in a future version.

### isBidirectional

public boolean isBidirectional()
Deprecated, for removal: This API element is subject to removal in a future version.

### addBendPoint

public void addBendPoint(double x, double y)
Deprecated, for removal: This API element is subject to removal in a future version.
Ensure this is called in order of source to target node position.

Parameters:
  `x` -
  `y` -

### addBendPoint

public void addBendPoint(double x, double y, boolean isControlPoint)
Deprecated, for removal: This API element is subject to removal in a future version.
Ensure this is called in order of source to target node position. Specifies if the bendpoint is a curve control point

Parameters:
  `x` -
  `y` -
  `isControlPoint` -

### getBendPoints

public List getBendPoints()
Deprecated, for removal: This API element is subject to removal in a future version.

### clearBendPoints

public void clearBendPoints()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutRelationship`
Clear bend points and related bounds If you are updating an existing application you can just implement this method to do nothing.

Specified by:
  `clearBendPoints` in interface `LayoutRelationship`

### getDestinationInLayout

public LayoutEntity getDestinationInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutRelationship`
Gets the destinationEntity of this SimpleRelation whether the relation is exchangeable or not.

Specified by:
  `getDestinationInLayout` in interface `LayoutRelationship`
Returns:
  The destinationEntity of this SimpleRelation.

### getLayoutInformation

public Object getLayoutInformation()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutRelationship`
Returns the internal relationship object.

Specified by:
  `getLayoutInformation` in interface `LayoutRelationship`
Returns:
  Object

### getSourceInLayout

public LayoutEntity getSourceInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutRelationship`
Gets the sourceEntity of this SimpleRelation whether the relation is exchangeable or not.

Specified by:
  `getSourceInLayout` in interface `LayoutRelationship`
Returns:
  The sourceEntity.

### populateLayoutConstraint

public void populateLayoutConstraint(LayoutConstraint constraint)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutRelationship`
Classes should update the specified layout constraint if recognized

Specified by:
  `populateLayoutConstraint` in interface `LayoutRelationship`

### setBendPoints

public void setBendPoints(LayoutBendPoint[] bendPoints)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutRelationship`
Specify a set of bend points. The layout algorithm using this will pass in an empty array of bendPoints, or not even call this method, if there are no bend points associated with this edge. If you are updating an existing application you can just implement this method to do nothing.

Specified by:
  `setBendPoints` in interface `LayoutRelationship`
Parameters:
  `bendPoints` - A list of bend points. All bendpoint locations are expressed as percentages of the bounds (0,0 to 1,1).The first bendpoint in the list must be the source point of this relationship and the last bendpoint the destination point for this relationship. This allows the correct positioning of bendpoints relative to the source and destination points when drawing the graph.

### setLayoutInformation

public void setLayoutInformation(Object layoutInformation)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutRelationship`
Sets the internal relationship object.

Specified by:
  `setLayoutInformation` in interface `LayoutRelationship`
Parameters:
  `layoutInformation` -

### getGraphData

public Object getGraphData()
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `getGraphData` in interface `LayoutItem`

### setGraphData

public void setGraphData(Object o)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `setGraphData` in interface `LayoutItem`